# UAMMD-structured

UAMMD-structured is an extension of the UAMMD (Universally Adaptable Multiscale Molecular Dynamics) software.

## Features

- Native GPU implementation for maximum performance
- Modular and open design for easy extension and customization
- Structured framework for defining hierarchical levels in coarse-grained models
- Flexible input system based on JSON or YAML formats
- Extensive set of interactions and integrators
- Batching system for efficient execution of multiple small simulations
- Python interface through PyUAMMD

## Installation

### Prerequisites

- CUDA 8.0+
- C++14 compatible compiler
- LAPACKE/CBLAS or Intel MKL

For detailed installation instructions and compiler compatibility, please refer to the [official documentation](https://uammd-structured.readthedocs.io/en/latest).

## Quick Start

For more examples and detailed usage instructions, please check the documentation.

## Documentation
Comprehensive documentation is available at https://uammd-structured.readthedocs.io/.

## Contributing
We welcome contributions to UAMMD-structured! Please read our contributing guidelines [here](https://uammd-structured.readthedocs.io/en/latest/contributing.html) 
for details on how to develop modules, submit bug reports, and contribute to the codebase.

## License
UAMMD-structured is released under the GPL-3.0 License. See the LICENSE.txt file for more information.

## Citation

## Contact
For questions, issues, or discussions, please use the GitHub Issues page.
